Add-on name: Tools: Geometry editing (org.gvsig.editing)

Description

Hi,

applying summetry to one polygon it seems that (before saving the changes) the new polygon has only vertexs, and is not filled in. |
attach image to see the strange behaviour. | tested the same use case, with the same layer on the version 1.11, and that strange thing
do not happens. And also | check the fill in color in editing mode and it red and not white.

Another problem is that it doesn't matter if you choose Remove (Y) or not removing (N) the source polygon, gvSIG always keeps it.
This bug happens also on the version 1.11.

After trying several times to do some symmetries, an error console appears, with the error "Error notifying the observer". | attach the
log file with that errors.

Thanks!

Related issues:

Duplicated by Application: gvSIG desktop - gvSIG bugs # 992: Funciones trunca... Closed 08/21/2012

History

#1 - 03/27/2012 11:29 AM - Victoria Agazzi
- File gvSIG.log added

#2 - 03/27/2012 11:30 AM - Victoria Agazzi
- File Pantallazo-4.png added

#3 - 03/27/2012 11:51 AM - Victoria Agazzi

The error console refering to "Error notifying the observer" also happens on a line layer, big line layer (trying to symmetry around 1500 lines). | tested
the same use case, with the same layer, on the version 1.11, and the symmetry did well.

| tested jt in a layer with only 30 lines, and the symmetry goes perfect, no problems detected on that case.

#4 - 09/25/2012 11:05 AM - Maria Maluenda
- Target version set to 2.0.0-rc1
| tested this ticket. In the first bug, the resultant polygon is filled in. The second bug, continues, if you apply the remove option (Y), the source polygon

isn't remove. In the third bug, | think that the problem is solved , no error.

#5 - 10/10/2012 11:07 AM - Juan Lucas Dominguez

- Assignee set to Juan Lucas Dominguez

#6 - 10/16/2012 09:21 AM - Juan Lucas Dominguez

- Status changed from New to Fixed

Adding i18n to expected user input (it was hard-coded as 'S' or 's').

gvsig-desktop:r39062

Test in 2057 or higher:

- Set language Spanish and restart gvsig

- use the symmetry tool (the user input must be 'S' to delete original geometry)

- Set language English and restart gvsig
- use the symmetry tool (the user input must be "Y' to delete original geometry)

#7 - 11/08/2012 10:49 AM - Abenchara Socorro
- Status changed from Fixed to New

In both cases, english or spanish, works well (Yes/No) and (Si/No) commands in console, but, if you use the right button of mouse to apply a symmetry

there are 3 options:

1-Cancel/Cancelar : no problems

2-Cut/Cortar: no problems
3-Copy/Copiar: should work as commands [Y]/[S] in english/spanish, but it works as copy tool (Layer/Modify/Copy)

#8 - 12/05/2012 12:28 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

Changed management of options so that pop-up menu options behave reasonably.

gvsig-desktop:r39399

Test:
Pop-up menu options should now behave as Abenchara suggested:

Cancel -> Do nothing (remove new geometry)

Cut -> Remove original geometry

Copy -> Keep original geometry

#9 - 12/17/2012 12:53 PM - Abenchara Socorro
- Status changed from Fixed to Closed
Closed in build 2061 RC2
